package com.dayou.vo;

import com.dayou.bo.MenuTreeBO;
import com.dayou.bo.Tree;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import org.checkerframework.checker.units.qual.K;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/10
 * created with IntelliJ IDEA.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
public class DistrictsTreeVO implements Tree<Long ,String>{

    private Long value;

    private String label;

    private List<DistrictsTreeVO> children;

    private Long parentId;

    private int order;

    @Override
    public Long getId() {
        return value;
    }

    @Override
    public String getName() {
        return label;
    }

    @Override
    public Long getParentId() {
        return parentId;
    }

    @Override
    public int order() {
        return order;
    }

    @Override
    public List<? extends Tree<Long, String>> getChildren() {
        return children;
    }

    @Override
    public void setChildren(List<? extends Tree<Long, String>> children) {
        this.children = (List<DistrictsTreeVO>) children;
    }
}
